<%@ page contentType="text/html" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/sql.tld" prefix="sql" %>

   <sql:setDataSource user="scott" password="tiger"
                       driver="oracle.jdbc.driver.OracleDriver"
                       url="jdbc:oracle:thin:@localhost:1521:ORCL" var="ds"/>

    <sql:query var="emps" dataSource="${ds}" sql="select ename, empno  from emp where deptno = ?">
      <sql:param value="${param.deptno}"/>
    </sql:query>
<h3>Here are the employees of department <c:out value="${param.deptno}"/></h3>
<table id="tbl"><tr><th>Empno</th><th>Name</th></tr><c:forEach var="row" items="${emps.rowsByIndex}">
<tr><td><c:out value="${row[1]}"/></td><td><c:out value="${row[0]}"/></td></tr>
</c:forEach>
</table>
